#!/bin/sh

TAR="$1"
#VERSION="$2"
RETURNTARNAME="$2"

. $(dirname $0)/common.sh

# ignore archive not for us
rhas "$TAR" "\.AppImage$" || exit 1

CURDIR="$(pwd)"

PKGDIR="$(mktemp -d)"
trap "rm -fr $PKGDIR" EXIT
cd $PKGDIR || fatal


# AppImage version
__set_version_apppkgname()
{
    local alpkg="$1"
    VERSION="$(echo "$alpkg" | grep -o -P "[-_.a-zA-Z]([0-9])([0-9])*([.]*[0-9])*" | head -n1 | sed -e 's|^[-_.a-zA-Z]||' -e 's|--|-|g' )"  #"
    [ -n "$VERSION" ] && PKGNAME="$(echo "$alpkg" | sed -e "s|[-_.]$VERSION.*||")"
}

alpkg=$(basename $TAR)

__set_version_apppkgname $alpkg

[ -n "$VERSION" ] || fatal "Can't get version from $alpkg."

# TODO: move repack archive to erc?
[ -x "$alpkg" ] || docmd chmod u+x $verbose "$alpkg"
./$alpkg --appimage-extract || fatal
alpkg=$CURDIR/$PKGNAME-$VERSION.tar

# make a tar for alien
erc a $alpkg squashfs-root || fatal

return_tar "$alpkg"

